package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingItempoolAdditemRequest struct {
	/*
	   商品对象     */
	Param0 *domain.AlibabaWdkMarketingItempoolAdditemItemPoolSku `json:"param0" required:"true" `
	/*
	   活动基本信息     */
	Param1 *domain.AlibabaWdkMarketingItempoolAdditemCommonActivityParam `json:"param1" required:"true" `
}

func (s *AlibabaWdkMarketingItempoolAdditemRequest) SetParam0(v domain.AlibabaWdkMarketingItempoolAdditemItemPoolSku) *AlibabaWdkMarketingItempoolAdditemRequest {
	s.Param0 = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolAdditemRequest) SetParam1(v domain.AlibabaWdkMarketingItempoolAdditemCommonActivityParam) *AlibabaWdkMarketingItempoolAdditemRequest {
	s.Param1 = &v
	return s
}

func (req *AlibabaWdkMarketingItempoolAdditemRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	if req.Param1 != nil {
		paramMap["param1"] = util.ConvertStruct(*req.Param1)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingItempoolAdditemRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
